#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libusb installation
#
# Creation   :  2011-04-28 holbru
# Last update:  $Id: postinstall-libusb.sh 33253 2013-03-13 21:24:49Z hbfl $
#
# Copyright (c) 2001-2013 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libusb

# ---------------------------------------------------------------------------
# generate symlinks
# ---------------------------------------------------------------------------
lib_names="libusb-1.0.so.0.1.0"

cd /usr/lib/

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${package_name} usr/lib/${LinkSRC}" \
          >>/etc/filelist.d/${package_name}-files.txt
done

lib_names="libusb-0.1.so.4.4.4"

cd /usr/lib/

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#-.*so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${package_name} usr/lib/${LinkSRC}" \
          >>/etc/filelist.d/${package_name}-files.txt
done
# ---------------------------------------------------------------------------
# running ldconfig
# ---------------------------------------------------------------------------
/sbin/ldconfig


exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
